Package: org.codehaus.groovy.classgen.asm

## [Java] Class UnaryExpressionHelper

- org.codehaus.groovy.classgen.asm.UnaryExpressionHelper

-     public class UnaryExpressionHelper
      extends Object

  A helper class used to generate bytecode for unary expressions. AST transformations willing to use a custom unary expression helper may set the WriterControllerFactory node metadata on a class node to provide a custom WriterController which would in turn use a custom expression helper.

  See Also:
    BinaryExpressionHelper

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `protected WriterController` | `controller` |

  - ### Constructor Summary

    Constructors
    Constructor and description
    `UnaryExpressionHelper(WriterController controller)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public void` | `writeBitwiseNegate(BitwiseNegationExpression expression)`
    `` | `public void` | `writeNotExpression(NotExpression expression)`
    `` | `public void` | `writeUnaryMinus(UnaryMinusExpression expression)`
    `` | `public void` | `writeUnaryPlus(UnaryPlusExpression expression)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### protected final WriterController controller

  - ### Constructor Detail

    - #### public UnaryExpressionHelper(WriterController controller)

  - ### Method Detail

    - #### public void writeBitwiseNegate(BitwiseNegationExpression expression)

    - #### public void writeNotExpression(NotExpression expression)

    - #### public void writeUnaryMinus(UnaryMinusExpression expression)

    - #### public void writeUnaryPlus(UnaryPlusExpression expression)